#	x509sak - The X.509 Swiss Army Knife white-hat certificate toolkit
#	Copyright (C) 2019-2019 Johannes Bauer
#
#	This file is part of x509sak.
#
#	x509sak is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; this program is ONLY licensed under
#	version 3 of the License, later versions are explicitly excluded.
#
#	x509sak is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with x509sak; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#	Johannes Bauer <JohannesBauer@gmx.de>

from x509sak.tests import BaseTest
from x509sak.tls.CipherSuiteDirectory import CipherSuiteDirectory, VerboseCipherSuite

class TLSCipherSuiteDirectoryTests(BaseTest):
	def test_simple(self):
		csd = CipherSuiteDirectory()
		assert(str(csd).startswith("CipherSuiteDirectory<"))

	def test_iter(self):
		for cs in CipherSuiteDirectory():
			self.assertTrue(isinstance(cs, VerboseCipherSuite))

	def test_filter(self):
		csd = CipherSuiteDirectory()
		secure_csd = csd.filter_secure()
		self.assertTrue(len(secure_csd) < len(csd))
